Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.lang
Class Character.UnicodeBlock

    java.lang.Object
      |
      +--java.lang.Character.Subset
            |
            +--java.lang.Character.UnicodeBlock

Enclosing class:
  Character

public static final class Character.UnicodeBlock
extends Character.Subset

A family of character subsets representing the character blocks defined by the Unicode 2.0 specification. Any given character is contained by at most one Unicode block.

Since:
  1.2

Field Summary
`static Character.UnicodeBlock` | `ALPHABETIC_PRESENTATION_FORMS` Constant for the Unicode character block of the same name.
`static Character.UnicodeBlock` | `ARABIC` Constant for the Unicode character block of the same name.
`static Character.UnicodeBlock` | `ARABIC_PRESENTATION_FORMS_A` Constant for the Unicode character block of the same name.
`static Character.UnicodeBlock` | `ARABIC_PRESENTATION_FORMS_B` Constant for the Unicode character block of the same name.
`static Character.UnicodeBlock` | `ARMENIAN` Constant for the Unicode character block of the same name.
`static Character.UnicodeBlock` | `ARROWS` Constant for the Unicode character block of the same name.
`static Character.UnicodeBlock` | `BASIC_LATIN` Constant for the Unicode character block of the same name.
`static Character.UnicodeBlock` | `BENGALI` Constant for the Unicode character block of the same name.
`static Character.UnicodeBlock` | `BLOCK_ELEMENTS` Constant for the Unicode character block of the same name.
`static Character.UnicodeBlock` | `BOPOMOFO` Constant for the Unicode character block of the same name.
`static Character.UnicodeBlock` | `BOX_DRAWING` Constant for the Unicode character block of the same name.
`static Character.UnicodeBlock` | `CJK_COMPATIBILITY` Constant for the Unicode character block of the same name.
`static Character.UnicodeBlock` | `CJK_COMPATIBILITY_FORMS` Constant for the Unicode character block of the same name.
`static Character.UnicodeBlock` | `CJK_COMPATIBILITY_IDEOGRAPHS` Constant for the Unicode character block of the same name.
`static Character.UnicodeBlock` | `CJK_SYMBOLS_AND_PUNCTUATION` Constant for the Unicode character block of the same name.
`static Character.UnicodeBlock` | `CJK_UNIFIED_IDEOGRAPHS` Constant for the Unicode character block of the same name.
`static Character.UnicodeBlock` | `COMBINING_DIACRITICAL_MARKS` Constant for the Unicode character block of the same name.
`static Character.UnicodeBlock` | `COMBINING_HALF_MARKS` Constant for the Unicode character block of the same name.
`static Character.UnicodeBlock` | `COMBINING_MARKS_FOR_SYMBOLS` Constant for the Unicode character block of the same name.
`static Character.UnicodeBlock` | `CONTROL_PICTURES` Constant for the Unicode character block of the same name.
`static Character.UnicodeBlock` | `CURRENCY_SYMBOLS` Constant for the Unicode character block of the same name.
`static Character.UnicodeBlock` | `CYRILLIC` Constant for the Unicode character block of the same name.
`static Character.UnicodeBlock` | `DEVANAGARI` Constant for the Unicode character block of the same name.
`static Character.UnicodeBlock` | `DINGBATS` Constant for the Unicode character block of the same name.
`static Character.UnicodeBlock` | `ENCLOSED_ALPHANUMERICS` Constant for the Unicode character block of the same name.
`static Character.UnicodeBlock` | `ENCLOSED_CJK_LETTERS_AND_MONTHS` Constant for the Unicode character block of the same name.
`static Character.UnicodeBlock` | `GENERAL_PUNCTUATION` Constant for the Unicode character block of the same name.
`static Character.UnicodeBlock` | `GEOMETRIC_SHAPES` Constant for the Unicode character block of the same name.
`static Character.UnicodeBlock` | `GEORGIAN` Constant for the Unicode character block of the same name.
`static Character.UnicodeBlock` | `GREEK` Constant for the Unicode character block of the same name.
`static Character.UnicodeBlock` | `GREEK_EXTENDED` Constant for the Unicode character block of the same name.
`static Character.UnicodeBlock` | `GUJARATI` Constant for the Unicode character block of the same name.
`static Character.UnicodeBlock` | `GURMUKHI` Constant for the Unicode character block of the same name.
`static Character.UnicodeBlock` | `HALFWIDTH_AND_FULLWIDTH_FORMS` Constant for the Unicode character block of the same name.
`static Character.UnicodeBlock` | `HANGUL_COMPATIBILITY_JAMO` Constant for the Unicode character block of the same name.
`static Character.UnicodeBlock` | `HANGUL_JAMO` Constant for the Unicode character block of the same name.
`static Character.UnicodeBlock` | `HANGUL_SYLLABLES` Constant for the Unicode character block of the same name.
`static Character.UnicodeBlock` | `HEBREW` Constant for the Unicode character block of the same name.
`static Character.UnicodeBlock` | `HIRAGANA` Constant for the Unicode character block of the same name.
`static Character.UnicodeBlock` | `IPA_EXTENSIONS` Constant for the Unicode character block of the same name.
`static Character.UnicodeBlock` | `KANBUN` Constant for the Unicode character block of the same name.
`static Character.UnicodeBlock` | `KANNADA` Constant for the Unicode character block of the same name.
`static Character.UnicodeBlock` | `KATAKANA` Constant for the Unicode character block of the same name.
`static Character.UnicodeBlock` | `LAO` Constant for the Unicode character block of the same name.
`static Character.UnicodeBlock` | `LATIN_1_SUPPLEMENT` Constant for the Unicode character block of the same name.
`static Character.UnicodeBlock` | `LATIN_EXTENDED_A` Constant for the Unicode character block of the same name.
`static Character.UnicodeBlock` | `LATIN_EXTENDED_ADDITIONAL` Constant for the Unicode character block of the same name.
`static Character.UnicodeBlock` | `LATIN_EXTENDED_B` Constant for the Unicode character block of the same name.
`static Character.UnicodeBlock` | `LETTERLIKE_SYMBOLS` Constant for the Unicode character block of the same name.
`static Character.UnicodeBlock` | `MALAYALAM` Constant for the Unicode character block of the same name.
`static Character.UnicodeBlock` | `MATHEMATICAL_OPERATORS` Constant for the Unicode character block of the same name.
`static Character.UnicodeBlock` | `MISCELLANEOUS_SYMBOLS` Constant for the Unicode character block of the same name.
`static Character.UnicodeBlock` | `MISCELLANEOUS_TECHNICAL` Constant for the Unicode character block of the same name.
`static Character.UnicodeBlock` | `NUMBER_FORMS` Constant for the Unicode character block of the same name.
`static Character.UnicodeBlock` | `OPTICAL_CHARACTER_RECOGNITION` Constant for the Unicode character block of the same name.
`static Character.UnicodeBlock` | `ORIYA` Constant for the Unicode character block of the same name.
`static Character.UnicodeBlock` | `PRIVATE_USE_AREA` Constant for the Unicode character block of the same name.
`static Character.UnicodeBlock` | `SMALL_FORM_VARIANTS` Constant for the Unicode character block of the same name.
`static Character.UnicodeBlock` | `SPACING_MODIFIER_LETTERS` Constant for the Unicode character block of the same name.
`static Character.UnicodeBlock` | `SPECIALS` Constant for the Unicode character block of the same name.
`static Character.UnicodeBlock` | `SUPERSCRIPTS_AND_SUBSCRIPTS` Constant for the Unicode character block of the same name.
`static Character.UnicodeBlock` | `SURROGATES_AREA` Constant for the Unicode character block of the same name.
`static Character.UnicodeBlock` | `TAMIL` Constant for the Unicode character block of the same name.
`static Character.UnicodeBlock` | `TELUGU` Constant for the Unicode character block of the same name.
`static Character.UnicodeBlock` | `THAI` Constant for the Unicode character block of the same name.
`static Character.UnicodeBlock` | `TIBETAN` Constant for the Unicode character block of the same name.

Method Summary
`static Character.UnicodeBlock` | `of(char c)` Returns the object representing the Unicode block containing the given character, or `null` if the character is not a member of a defined block.

Methods inherited from class java.lang.Character.Subset
`equals, hashCode, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### BASIC_LATIN

    public static final Character.UnicodeBlock BASIC_LATIN

  Constant for the Unicode character block of the same name.

### LATIN_1_SUPPLEMENT

    public static final Character.UnicodeBlock LATIN_1_SUPPLEMENT

  Constant for the Unicode character block of the same name.

### LATIN_EXTENDED_A

    public static final Character.UnicodeBlock LATIN_EXTENDED_A

  Constant for the Unicode character block of the same name.

### LATIN_EXTENDED_B

    public static final Character.UnicodeBlock LATIN_EXTENDED_B

  Constant for the Unicode character block of the same name.

### IPA_EXTENSIONS

    public static final Character.UnicodeBlock IPA_EXTENSIONS

  Constant for the Unicode character block of the same name.

### SPACING_MODIFIER_LETTERS

    public static final Character.UnicodeBlock SPACING_MODIFIER_LETTERS

  Constant for the Unicode character block of the same name.

### COMBINING_DIACRITICAL_MARKS

    public static final Character.UnicodeBlock COMBINING_DIACRITICAL_MARKS

  Constant for the Unicode character block of the same name.

### GREEK

    public static final Character.UnicodeBlock GREEK

  Constant for the Unicode character block of the same name.

### CYRILLIC

    public static final Character.UnicodeBlock CYRILLIC

  Constant for the Unicode character block of the same name.

### ARMENIAN

    public static final Character.UnicodeBlock ARMENIAN

  Constant for the Unicode character block of the same name.

### HEBREW

    public static final Character.UnicodeBlock HEBREW

  Constant for the Unicode character block of the same name.

### ARABIC

    public static final Character.UnicodeBlock ARABIC

  Constant for the Unicode character block of the same name.

### DEVANAGARI

    public static final Character.UnicodeBlock DEVANAGARI

  Constant for the Unicode character block of the same name.

### BENGALI

    public static final Character.UnicodeBlock BENGALI

  Constant for the Unicode character block of the same name.

### GURMUKHI

    public static final Character.UnicodeBlock GURMUKHI

  Constant for the Unicode character block of the same name.

### GUJARATI

    public static final Character.UnicodeBlock GUJARATI

  Constant for the Unicode character block of the same name.

### ORIYA

    public static final Character.UnicodeBlock ORIYA

  Constant for the Unicode character block of the same name.

### TAMIL

    public static final Character.UnicodeBlock TAMIL

  Constant for the Unicode character block of the same name.

### TELUGU

    public static final Character.UnicodeBlock TELUGU

  Constant for the Unicode character block of the same name.

### KANNADA

    public static final Character.UnicodeBlock KANNADA

  Constant for the Unicode character block of the same name.

### MALAYALAM

    public static final Character.UnicodeBlock MALAYALAM

  Constant for the Unicode character block of the same name.

### THAI

    public static final Character.UnicodeBlock THAI

  Constant for the Unicode character block of the same name.

### LAO

    public static final Character.UnicodeBlock LAO

  Constant for the Unicode character block of the same name.

### TIBETAN

    public static final Character.UnicodeBlock TIBETAN

  Constant for the Unicode character block of the same name.

### GEORGIAN

    public static final Character.UnicodeBlock GEORGIAN

  Constant for the Unicode character block of the same name.

### HANGUL_JAMO

    public static final Character.UnicodeBlock HANGUL_JAMO

  Constant for the Unicode character block of the same name.

### LATIN_EXTENDED_ADDITIONAL

    public static final Character.UnicodeBlock LATIN_EXTENDED_ADDITIONAL

  Constant for the Unicode character block of the same name.

### GREEK_EXTENDED

    public static final Character.UnicodeBlock GREEK_EXTENDED

  Constant for the Unicode character block of the same name.

### GENERAL_PUNCTUATION

    public static final Character.UnicodeBlock GENERAL_PUNCTUATION

  Constant for the Unicode character block of the same name.

### SUPERSCRIPTS_AND_SUBSCRIPTS

    public static final Character.UnicodeBlock SUPERSCRIPTS_AND_SUBSCRIPTS

  Constant for the Unicode character block of the same name.

### CURRENCY_SYMBOLS

    public static final Character.UnicodeBlock CURRENCY_SYMBOLS

  Constant for the Unicode character block of the same name.

### COMBINING_MARKS_FOR_SYMBOLS

    public static final Character.UnicodeBlock COMBINING_MARKS_FOR_SYMBOLS

  Constant for the Unicode character block of the same name.

### LETTERLIKE_SYMBOLS

    public static final Character.UnicodeBlock LETTERLIKE_SYMBOLS

  Constant for the Unicode character block of the same name.

### NUMBER_FORMS

    public static final Character.UnicodeBlock NUMBER_FORMS

  Constant for the Unicode character block of the same name.

### ARROWS

    public static final Character.UnicodeBlock ARROWS

  Constant for the Unicode character block of the same name.

### MATHEMATICAL_OPERATORS

    public static final Character.UnicodeBlock MATHEMATICAL_OPERATORS

  Constant for the Unicode character block of the same name.

### MISCELLANEOUS_TECHNICAL

    public static final Character.UnicodeBlock MISCELLANEOUS_TECHNICAL

  Constant for the Unicode character block of the same name.

### CONTROL_PICTURES

    public static final Character.UnicodeBlock CONTROL_PICTURES

  Constant for the Unicode character block of the same name.

### OPTICAL_CHARACTER_RECOGNITION

    public static final Character.UnicodeBlock OPTICAL_CHARACTER_RECOGNITION

  Constant for the Unicode character block of the same name.

### ENCLOSED_ALPHANUMERICS

    public static final Character.UnicodeBlock ENCLOSED_ALPHANUMERICS

  Constant for the Unicode character block of the same name.

### BOX_DRAWING

    public static final Character.UnicodeBlock BOX_DRAWING

  Constant for the Unicode character block of the same name.

### BLOCK_ELEMENTS

    public static final Character.UnicodeBlock BLOCK_ELEMENTS

  Constant for the Unicode character block of the same name.

### GEOMETRIC_SHAPES

    public static final Character.UnicodeBlock GEOMETRIC_SHAPES

  Constant for the Unicode character block of the same name.

### MISCELLANEOUS_SYMBOLS

    public static final Character.UnicodeBlock MISCELLANEOUS_SYMBOLS

  Constant for the Unicode character block of the same name.

### DINGBATS

    public static final Character.UnicodeBlock DINGBATS

  Constant for the Unicode character block of the same name.

### CJK_SYMBOLS_AND_PUNCTUATION

    public static final Character.UnicodeBlock CJK_SYMBOLS_AND_PUNCTUATION

  Constant for the Unicode character block of the same name.

### HIRAGANA

    public static final Character.UnicodeBlock HIRAGANA

  Constant for the Unicode character block of the same name.

### KATAKANA

    public static final Character.UnicodeBlock KATAKANA

  Constant for the Unicode character block of the same name.

### BOPOMOFO

    public static final Character.UnicodeBlock BOPOMOFO

  Constant for the Unicode character block of the same name.

### HANGUL_COMPATIBILITY_JAMO

    public static final Character.UnicodeBlock HANGUL_COMPATIBILITY_JAMO

  Constant for the Unicode character block of the same name.

### KANBUN

    public static final Character.UnicodeBlock KANBUN

  Constant for the Unicode character block of the same name.

### ENCLOSED_CJK_LETTERS_AND_MONTHS

    public static final Character.UnicodeBlock ENCLOSED_CJK_LETTERS_AND_MONTHS

  Constant for the Unicode character block of the same name.

### CJK_COMPATIBILITY

    public static final Character.UnicodeBlock CJK_COMPATIBILITY

  Constant for the Unicode character block of the same name.

### CJK_UNIFIED_IDEOGRAPHS

    public static final Character.UnicodeBlock CJK_UNIFIED_IDEOGRAPHS

  Constant for the Unicode character block of the same name.

### HANGUL_SYLLABLES

    public static final Character.UnicodeBlock HANGUL_SYLLABLES

  Constant for the Unicode character block of the same name.

### SURROGATES_AREA

    public static final Character.UnicodeBlock SURROGATES_AREA

  Constant for the Unicode character block of the same name.

### PRIVATE_USE_AREA

    public static final Character.UnicodeBlock PRIVATE_USE_AREA

  Constant for the Unicode character block of the same name.

### CJK_COMPATIBILITY_IDEOGRAPHS

    public static final Character.UnicodeBlock CJK_COMPATIBILITY_IDEOGRAPHS

  Constant for the Unicode character block of the same name.

### ALPHABETIC_PRESENTATION_FORMS

    public static final Character.UnicodeBlock ALPHABETIC_PRESENTATION_FORMS

  Constant for the Unicode character block of the same name.

### ARABIC_PRESENTATION_FORMS_A

    public static final Character.UnicodeBlock ARABIC_PRESENTATION_FORMS_A

  Constant for the Unicode character block of the same name.

### COMBINING_HALF_MARKS

    public static final Character.UnicodeBlock COMBINING_HALF_MARKS

  Constant for the Unicode character block of the same name.

### CJK_COMPATIBILITY_FORMS

    public static final Character.UnicodeBlock CJK_COMPATIBILITY_FORMS

  Constant for the Unicode character block of the same name.

### SMALL_FORM_VARIANTS

    public static final Character.UnicodeBlock SMALL_FORM_VARIANTS

  Constant for the Unicode character block of the same name.

### ARABIC_PRESENTATION_FORMS_B

    public static final Character.UnicodeBlock ARABIC_PRESENTATION_FORMS_B

  Constant for the Unicode character block of the same name.

### HALFWIDTH_AND_FULLWIDTH_FORMS

    public static final Character.UnicodeBlock HALFWIDTH_AND_FULLWIDTH_FORMS

  Constant for the Unicode character block of the same name.

### SPECIALS

    public static final Character.UnicodeBlock SPECIALS

  Constant for the Unicode character block of the same name.

Method Detail

### of

    public static Character.UnicodeBlock of(char c)

  Returns the object representing the Unicode block containing the given character, or `null` if the character is not a member of a defined block.
  Parameters:
    `c` - The character in question
  Returns:
    The `UnicodeBlock` instance representing the Unicode block of which this character is a member, or `null` if the character is not a member of any Unicode block

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.